Pop-up windows on OSX are looking pretty strange
Created attachment 
Demonstration of problem

This was noticed using a recent build of UX after bug  We probably shouldn't be drawing in the titlebar for these windows. See screenshot.
